clang-tools 10.0.0

Namespaces | Enumerations | Functions
FixItHintUtils.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/Sema/DeclSpec.h"`
Include dependency graph for FixItHintUtils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::utils
| clang::tidy::utils::fixit

## Enumerations
enum | clang::tidy::utils::fixit::QualifierPolicy { clang::tidy::utils::fixit::QualifierPolicy::Left, clang::tidy::utils::fixit::QualifierPolicy::Right }
| This enum defines where the qualifier shall be preferably added. More...
enum | clang::tidy::utils::fixit::QualifierTarget { clang::tidy::utils::fixit::QualifierTarget::Pointee, clang::tidy::utils::fixit::QualifierTarget::Value }
| This enum defines which entity is the target for adding the qualifier. More...

## Functions
FixItHint | clang::tidy::utils::fixit::changeVarDeclToReference (const VarDecl &Var, ASTContext &Context)
| Creates fix to make `VarDecl` a reference by adding `&`. More...
FixItHint | clang::tidy::utils::fixit::changeVarDeclToConst (const VarDecl &Var)
| Creates fix to make `VarDecl` const qualified. More...
Optional< FixItHint > | clang::tidy::utils::fixit::addQualifierToVarDecl (const VarDecl &Var, const ASTContext &Context, DeclSpec::TQ Qualifier, QualifierTarget CT=QualifierTarget::Pointee, QualifierPolicy CP=QualifierPolicy::Left)
| Creates fix to qualify `VarDecl` with the specified `Qualifier`. More...